## ros-foxy-contracts-lite-vendor 0.5.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)
project(contracts_lite_vendor)

# Use C++14
set(CMAKE_CXX_STANDARD 14)
set(CMAKE_CXX_STANDARD_REQUIRED ON)

if(CMAKE_COMPILER_IS_GNUCXX OR CMAKE_CXX_COMPILER_ID MATCHES "Clang")
  add_compile_options(-Wall -Wextra -Wpedantic)
endif()

# find dependencies
find_package(ament_cmake REQUIRED)

set(contracts_lite_DESTDIR ${CMAKE_CURRENT_BINARY_DIR}/contracts_lite_install)

include(ExternalProject)
ExternalProject_Add(contracts_lite
  GIT_REPOSITORY https://github.com/ros-safety/contracts_lite.git
  GIT_TAG 0.5.0
  GIT_SHALLOW TRUE
  BUILD_IN_SOURCE TRUE
  INSTALL_DIR ${contracts_lite_DESTDIR}
  CONFIGURE_COMMAND ${CMAKE_COMMAND} -DCMAKE_INSTALL_PREFIX=<INSTALL_DIR> -DCMAKE_POSITION_INDEPENDENT_CODE=ON .
)

ament_export_include_directories(include)

install(DIRECTORY ${contracts_lite_DESTDIR}/include/
  DESTINATION include
)

ament_package()

=== debian/changelog ===
ros-foxy-contracts-lite-vendor (0.5.0-1focal) focal; urgency=high

  * Library update: Add contract types (#14 <https://github.com/ros-safety/contracts_lite/pull/14>)
    
      * rename contract_types.hpp to operators.hpp
      * edit testing instructions in readme
      * add helper types and tests
      * update documentation
      * add requirements docs
      * remove assertions.hpp and scalar_flicker.hpp; too specific for this library
    

 -- Jeffrey Kane Johnson <jeff@mapless.ai>  Fri, 12 Feb 2021 05:00:00 -0000

ros-foxy-contracts-lite-vendor (0.4.1-1focal) focal; urgency=high

  * Vendor package update
    
      * Add install instructions to README (#8 <https://github.com/ros-safety/contracts_lite_vendor/pull/8>)
    
  * Library update
    
      * Add missing inclue, re-arrange move statement (#13 <https://github.com/ros-safety/contracts_lite/pull/13>)
      * Add note clarifying 'audit' term (#12 <https://github.com/ros-safety/contracts_lite/pull/12>)
      * Add basic requirements (#10 <https://github.com/ros-safety/contracts_lite/pull/10>)
      * Prettier joining of comments (#9 <https://github.com/ros-safety/contracts_lite/pull/9>)
      * Add contact info to README (#8 <https://github.com/ros-safety/contracts_lite/pull/8>)
      * Enforce that audit macros assume ownership of ReturnStatus (#6 <https://github.com/ros-safety/contracts_lite/pull/6>)
    

 -- Jeffrey Kane Johnson <jeff@mapless.ai>  Mon, 26 Oct 2020 04:00:00 -0000

ros-foxy-contracts-lite-vendor (0.4.0-1focal) focal; urgency=high

  * Library update: (#5 <https://github.com/ros-safety/contracts_lite/pull/5>)
    
      * Move-optimize comment string handling
      * Make string serializer for contract violation objects static
      * Move-optimize return status object in enforcement macro
      * Add CONTRACT_COMMENT macro and update readme
    

 -- Jeffrey Kane Johnson <jeff@mapless.ai>  Mon, 21 Sep 2020 04:00:00 -0000

ros-foxy-contracts-lite-vendor (0.3.3-1focal) focal; urgency=high

  * Library update: (#4 <https://github.com/ros-safety/contracts_lite/pull/4>)
    
      * Make includes more consistent
      * Use the gcc_7x to_string function
    
  * Contributors: Jeffrey Kane Johnson

 -- Jeffrey Kane Johnson <jeff@mapless.ai>  Wed, 16 Sep 2020 04:00:00 -0000

ros-foxy-contracts-lite-vendor (0.3.2-1focal) focal; urgency=high

  * Delete .gitlab-ci.yml (#3 <https://github.com/ros-safety/contracts_lite_vendor/issues/3>)
  * point to github repo, bump version
  * Add link to original contracts_lite project in readme (#2 <https://github.com/ros-safety/contracts_lite_vendor/issues/2>)
  * Contributors: Jeffrey Kane Johnson

 -- Jeffrey Kane Johnson <jeff@mapless.ai>  Thu, 10 Sep 2020 04:00:00 -0000

ros-foxy-contracts-lite-vendor (0.3.1-1focal) focal; urgency=high

  * update to 0.3.1: Replace '+' operator for ReturnStatus types with '&&'; add '||' operator
  * Contributors: Jeffrey Kane Johnson

 -- Jeffrey Kane Johnson <jeff@mapless.ai>  Sat, 29 Aug 2020 04:00:00 -0000

ros-foxy-contracts-lite-vendor (0.2.0-1focal) focal; urgency=high

  * update contracts_lite to 0.2.0
  * Contributors: Jeffrey Kane Johnson

 -- Jeffrey Kane Johnson <jeff@mapless.ai>  Mon, 17 Aug 2020 04:00:00 -0000

=== debian/control ===
Source: ros-foxy-contracts-lite-vendor
Section: misc
Priority: optional
Maintainer: Jeffrey Kane Johnson <jeff@mapless.ai>
Build-Depends: debhelper (>= 9.0.0), ros-foxy-ament-cmake, ros-foxy-ros-workspace
Homepage: https://github.com/ros-safety/contracts_lite_vendor
Standards-Version: 3.9.2

Package: ros-foxy-contracts-lite-vendor
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-foxy-ros-workspace
Description: ROS 2 wrapper for the Contracts Lite project.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/foxy/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/foxy/setup.sh" ]; then . "/opt/ros/foxy/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/foxy" \
		-DAMENT_PREFIX_PATH="/opt/ros/foxy" \
		-DCMAKE_PREFIX_PATH="/opt/ros/foxy"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/foxy/setup.sh" ]; then . "/opt/ros/foxy/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/foxy/setup.sh" ]; then . "/opt/ros/foxy/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/foxy/setup.sh" ]; then . "/opt/ros/foxy/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-foxy-contracts-lite-vendor//opt/ros/foxy/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/foxy/setup.sh" ]; then . "/opt/ros/foxy/setup.sh"; fi && \
	dh_auto_install
